import numpy as np
class Rolemap:
    """_summary_
    """
    _index2fe_abbr = {
    "0": "cog",
    "1": "phen_pl",
    "2": "phen_1",
    "3": "phen_2",
    "4": "feat",
    "5": "ground",
    "6": "instru",
    "7": "circ",
    "8": "degr",
    "9": "depic",
    "10": "manr",
    "11": "mns",
    "12": "result",
    "13": "time",
    "14": "tim_role",
    "15": "dur_action",
    "16": "dur_fin_st",
    "17": "freq",
    "18": "iter",
    "19": "part_iter",
    "20": "place",
    "21": "loc_x",
    "22": "subr",
    "23": "reci",
    "24": "benef",
    "25": "malef",
    "26": "co_part",
    "27": "role",
    "28": "eve_desc",
    "29": "contain_even",
    "30": "co_even",
    "31": "co_var",
    "32": "rea",
    "33": "purp",
    "34": "mat",
    "35": "evid",
    "36": "amount",
    "37": "sco_role",
    "38": "medium",
    "39": "top",
    "40": "pov",
    "41": "dom",
    "42": "phen",
    "43": "expla",
    "44": "con",
    "45": "msg",
    "46": "spkr",
    "47": "add",
    "48": "auth",
    "49": "chrgs",
    "50": "offense",
    "51": "suspect",
    "52": "sla",
    "53": "gds",
    "54": "perp",
    "55": "src",
    "56": "vic",
    "57": "noi_eve",
    "58": "sound",
    "59": "sound_src",
    "60": "add",
    "61": "dir",
    "62": "dep",
    "63": "loc_src",
    "64": "path",
    "65": "categ",
    "66": "perc_pass",
    "67": "possib",
    "68": "bodp",
    "69": "loc_perc",
    "70": "opi",
    "71": "con",
    "72": "attr",
    "73": "ent",
    "74": "ini_cat",
    "75": "finc",
    "76": "ini_v",
    "77": "fin_v",
    "78": "range",
    "79": "i_state",
    "80": "diff",
    "81": "val_range",
    "82": "cor",
    "83": "dura",
    "84": "ini_cor",
    "85": "fin_cor",
    "86": "spd",
    "87": "finis",
    "88": "dispute",
    "89": "judge",
    "90": "mn_bs",
    "91": "side_1",
    "92": "side_2",
    "93": "side_pl",
    "94": "cause",
    "95": "destr",
    "96": "undgo",
    "97": "experi",
    "98": "sal",
    "99": "agt",
    "100": "ccl",
    "101": "que",
    "102": "outcome",
    "103": "accura",
    "104": "toc",
    "105": "thm",
    "106": "goal",
    "107": "area",
    "108": "carrier",
    "109": "dist",
    "110": "perc",
    "111": "communi",
    "112": "aoi",
    "113": "c_loc",
    "114": "gds",
    "115": "perc_agt",
    "116": "expec_evnt",
    "117": "par",
    "118": "tot",
    "119": "con_set",
    "120": "name",
    "121": "name_src",
    "122": "type",
    "123": "trans_period",
    "124": "evnt",
    "125": "ini_suevt",
    "126": "focal_e",
    "127": "Loc_sel",
    "128": "journey",
    "129": "mot",
    "130": "s_mov",
    "131": "endpnts",
    "132": "p_shape",
    "133": "consec",
    "134": "thm_c",
    "135": "p_iter",
    "136": "re_encd",
    "137": "recip",
    "138": "veh",
    "139": "inh_purp",
    "140": "state",
    "141": "goal_c",
    "142": "lit",
    "143": "inventn",
    "144": "loc_apr",
    "145": "fig",
    "146": "ang",
    "147": "veh",
    "148": "cont_portal",
    "149": "cont_obj",
    "150": "fastener",
    "151": "e_region",
    "152": "manp",
    "153": "donor",
    "154": "por",
    "155": "in_cause",
    "156": "inspec",
    "157": "action",
    "158": "compl",
    "159": "prot",
    "160": "trigger",
    "161": "course",
    "162": "fact",
    "163": "instit",
    "164": "precept",
    "165": "qualif",
    "166": "ski",
    "167": "studnt",
    "168": "subject",
    "169": "teacher",
    "170": "lvl",
    "171": "activity",
    "172": "subv",
    "173": "resid",
    "174": "co_resid",
    "175": "loc",
    "176": "dec",
    "177": "poss",
    "178": "exp",
    "179": "foc_partipt",
    "180": "loc_event",
    "181": "tim_evt",
    "182": "dep_e",
    "183": "dep_s",
    "184": "dep_v",
    "185": "inf_e",
    "186": "inf_s",
    "187": "inf_v",
    "188": "item",
    "189": "co_v",
    "190": "dimen",
    "191": "group",
    "192": "ini_size",
    "193": "rate",
    "194": "resut_size",
    "195": "size_c",
    "196": "ents",
    "197": "ent_1",
    "198": "ent_2",
    "199": "differentiatingfact",
    "200": "cnpt_1",
    "201": "cnpt_2",
    "202": "cnpts",
    "203": "int",
    "204": "eva",
    "205": "c_emot",
    "206": "possor",
    "207": "ex_cause",
    "208": "percvr",
    "209": "abu",
    "210": "value",
    "211": "pat",
    "212": "expr",
    "213": "byr",
    "214": "goods",
    "215": "mny",
    "216": "slr",
    "217": "unit",
    "218": "ingible",
    "219": "ingest",
    "220": "dep_state",
    "221": "sbp",
    "222": "container",
    "223": "horc_src",
    "224": "destin_event",
    "225": "destin_time",
    "226": "interval",
    "227": "landmark_time",
    "228": "empee",
    "229": "emper",
    "230": "posit",
    "231": "task",
    "232": "amt_work",
    "233": "compense",
    "234": "cb",
    "235": "rnk",
    "236": "goal_a",
    "237": "chosen",
    "238": "holder",
    "239": "charation",
    "240": "infer",
    "241": "inc",
    "242": "help",
    "243": "coag",
    "244": "sal",
    "245": "top_ent",
    "246": "depend",
    "247": "cmpnt",
    "248": "reseach",
    "249": "dur_act",
    "250": "popula",
    "251": "bene",
    "252": "intermed",
    "253": "duty",
    "254": "resp_party",
    "255": "condi",
    "256": "conseq",
    "257": "owner",
    "258": "possio",
    "259": "poc",
    "260": "act",
    "261": "actor",
    "262": "affected",
    "263": "subbody",
    "264": "prop",
    "265": "suprt",
    "266": "dor",
    "267": "paradigm",
    "268": "slctr",
    "269": "func",
    "270": "ldr_n",
    "271": "ldr_o",
    "272": "ord_ord",
    "273": "expect",
    "274": "produ",
    "275": "sco_perc",
    "276": "f_d",
    "277": "road",
    "278": "fug",
    "279": "blv",
    "280": "addpar",
    "281": "offender",
    "282": "aopf",
    "283": "judi_org",
    "284": "punishment",
    "285": "part_1",
    "286": "part_2",
    "287": "num",
    "288": "tim_span",
    "289": "conv",
    "290": "reptive",
    "291": "court",
    "292": "def",
    "293": "conn",
    "294": "items",
    "295": "handle",
    "296": "crit",
    "297": "crent",
    "298": "ela_time",
    "299": "rt",
    "300": "tem_c",
    "301": "tem_g",
    "302": "tem_s",
    "303": "proce",
    "304": "proje",
    "305": "post_s",
    "306": "pri_s",
    "307": "need",
    "308": "ind",
    "309": "inter_1",
    "310": "inter_2",
    "311": "interlocs",
    "312": "lan",
    "313": "moc",
    "314": "rate",
    "315": "ori_puni",
    "316": "new_puni",
    "317": "norm",
    "318": "soa",
    "319": "eval",
    "320": "sever",
    "321": "cre",
    "322": "pur_ent",
    "323": "acc",
    "324": "plea",
    "325": "executed",
    "326": "action",
    "327": "epr",
    "328": "exp_area",
    "329": "imp_area",
    "330": "amt_goods",
    "331": "unit_time",
    "332": "exports",
    "333": "cri_juris",
    "334": "cur_juris",
    "335": "dep",
    "336": "requir",
    "337": "reqind",
    "338": "impr",
    "339": "mog",
    "340": "hold_loc",
    "341": "motive",
    "342": "instan",
    "343": "type",
    "344": "judgm",
    "345": "ext_acc",
    "346": "killer",
    "347": "emit",
    "348": "mem",
    "349": "std",
    "350": "ori",
    "351": "prin",
    "352": "arti",
    "353": "com_con",
    "354": "consider",
    "355": "undertaki",
    "356": "occa",
    "357": "next_subev",
    "358": "restric",
    "359": "reader",
    "360": "text",
    "361": "arg",
    "362": "lee",
    "363": "les",
    "364": "pog",
    "365": "new",
    "366": "old",
    "367": "interloc",
    "368": "propos",
    "369": "resp_act",
    "370": "cog_agt",
    "371": "sou_ent",
    "372": "sent",
    "373": "tos",
    "374": "aud",
    "375": "occ",
    "376": "doc",
    "377": "subm",
    "378": "pot",
    "379": "user",
    "380": "sum",
    "381": "purp_reci",
    "382": "suplier",
    "383": "author",
    "384": "form",
    "385": "hon",
    "386": "briber",
    "387": "law",
    "388": "relay",
    "389": "nor_loc",
    "390": "inf",
    "391": "wd",
    "392": "indicated",
    "393": "indicator",
    "394": "desc",
    "395": "mns_motion",
    "396": "hindr",
    "397": "cncesiv",
    "398": "arg_1",
    "399": "arg_2",
    "400": "args",
    "401": "amt_disc",
    "402": "charastic",
    "403": "range_opt",
    "404": "prevnt_cause",
    "405": "escapee",
    "406": "undesr_loc",
    "407": "evader",
    "408": "pursuer",
    "409": "capture",
    "410": "attractn",
    "411": "tourist",
    "412": "config",
    "413": "client",
    "414": "srvis",
    "415": "bkr",
    "416": "dang_situ",
    "417": "surviv",
    "418": "des_state",
    "419": "patrol",
    "420": "unw_entity",
    "421": "loc_prot",
    "422": "mems",
    "423": "evntity",
    "424": "Tim_of_Evtity",
    "425": "estim",
    "426": "miner",
    "427": "resrs",
    "428": "prot_1",
    "429": "prot_2",
    "430": "prots",
    "431": "shopper",
    "432": "label",
    "433": "iac",
    "434": "studym",
    "435": "food",
    "436": "grower",
    "437": "sys",
    "438": "hid_obj",
    "439": "hid_place",
    "440": "obs",
    "441": "poob",
    "442": "partic_1",
    "443": "partic_2",
    "444": "partic_s",
    "445": "degr",
    "446": "explo",
    "447": "fine",
    "448": "payer",
    "449": "flame",
    "450": "flambls",
    "451": "kindler",
    "452": "fire",
    "453": "fuel",
    "454": "asset",
    "455": "danger",
    "456": "protec",
    "457": "gl",
    "458": "ade",
    "459": "situ",
    "460": "amt_rea",
    "461": "invd",
    "462": "land",
    "463": "weapon",
    "464": "tm",
    "465": "cmbtnt",
    "466": "fight",
    "467": "sal_act",
    "468": "exp_request",
    "469": "sub",
    "470": "benefs",
    "471": "compet",
    "472": "competor",
    "473": "competors",
    "474": "oppo",
    "475": "marg",
    "476": "prize",
    "477": "rank",
    "478": "score",
    "479": "venue",
    "480": "child",
    "481": "egg",
    "482": "fa",
    "483": "mom",
    "484": "parents",
    "485": "sender",
    "486": "transport_means",
    "487": "borr",
    "488": "lender",
    "489": "mnsot",
    "490": "sorrep",
    "491": "sorsym",
    "492": "tgtrep",
    "493": "tars",
    "494": "equ",
    "495": "newsitu",
    "496": "goal",
    "497": "itceptr",
    "498": "v_item",
    "499": "item",
    "500": "v_standard",
    "501": "staitem",
    "502": "comp_set",
    "503": "extent",
    "504": "com",
    "505": "fix_loc",
    "506": "cmplnr",
    "507": "complai",
    "508": "cap",
    "509": "sur",
    "510": "cf",
    "511": "fin_subev",
    "512": "copy",
    "513": "orig",
    "514": "aff_par",
    "515": "emot",
    "516": "emo_s",
    "517": "cotmevn",
    "518": "fac_st",
    "519": "nega_pp",
    "520": "nega_scope",
    "521": "affl",
    "522": "company",
    "523": "market",
    "524": "prize",
    "525": "sop",
    "526": "relat",
    "527": "ctran",
    "528": "motr",
    "529": "pod",
    "530": "pot",
    "531": "role",
    "532": "pub",
    "533": "work",
    "534": "badotcm",
    "535": "des",
    "536": "forg",
    "537": "sub",
    "538": "valu_e",
    "539": "endgact",
    "540": "spkr",
    "541": "undesr_sit",
    "542": "sea",
    "543": "expr",
    "544": "sup",
    "545": "use",
    "546": "des_state",
    "547": "inspec",
    "548": "agg",
    "549": "indivs",
    "550": "tex",
    "551": "clo",
    "552": "wearer",
    "553": "bodl",
    "554": "en_situ",
    "555": "scale",
    "556": "agt",
    "557": "injrd_prty",
    "558": "injry",
    "559": "offender",
    "560": "puni",
    "561": "mea",
    "562": "col",
    "563": "qua",
    "564": "obl",
    "565": "sit",
    "566": "msthm",
    "567": "men",
    "568": "context",
    "569": "assail",
    "570": "dang_ent",
    "571": "items",
    "572": "route",
    "573": "et",
    "574": "tim_lth",
    "575": "dev",
    "576": "cmpny",
    "577": "orga",
    "578": "prtstr",
    "579": "side",
    "580": "target",
    "581": "relatype",
    "582": "fire",
    "583": "fac",
    "584": "producer",
    "585": "consumer",
    "586": "locus",
    "587": "srvis_action",
    "588": "tar_grp",
    "589": "beneact",
    "590": "gift",
    "591": "food",
    "592": "hunter",
    "593": "agtbp",
    "594": "operator",
    "595": "driver",
    "596": "tpr",
    "597": "tes",
    "598": "unw_charastic",
    "599": "delivr",
    "600": "veh",
    "601": "ratifier",
    "602": "ces",
    "603": "emission",
    "604": "src_emit",
    "605": "sub-src",
    "606": "endeavor",
    "607": "grantee",
    "608": "grantor",
    "609": "alcate",
    "610": "contra",
    "611": "poe",
    "612": "searcher",
    "613": "curl",
    "614": "curo",
    "615": "reb",
    "616": "new",
    "617": "piece",
    "618": "substance",
    "619": "thm",
    "620": "excreta",
    "621": "excreter",
    "622": "slpr",
    "623": "dist",
    "624": "lanmaevnt",
    "625": "possevnt",
    "626": "hypevnt",
    "627": "impre",
    "628": "fig",
    "629": "context",
    "630": "staobj",
    "631": "side_pl",
    "632": "proact",
    "633": "meaning",
    "634": "referent",
    "635": "defend",
    "636": "ene",
    "637": "invact",
    "638": "earner",
    "639": "earnings",
    "640": "parties",
    "641": "Firearm",
    "642": "projectile",
    "643": "unfer",
    "644": "target-location",
    "645": "fuphen",
    "646": "pre_phen",
    "647": "intpar",
    "648": "str",
    "649": "grinder",
    "650": "gri_cause",
    "651": "scnt",
    "652": "off",
    "653": "poreci",
    "654": "imp",
    "655": "cook",
    "656": "heat_instru",
    "657": "temp",
    "658": "hot_src",
    "659": "rl",
    "660": "spcent",
    "661": "slp",
    "662": "bod",
    "663": "off",
    "664": "infent",
    "665": "infec",
    "666": "infcau",
    "667": "metoent",
    "668": "fac",
    "669": "con_item",
    "670": "name",
    "671": "tim_cre",
    "672": "gam",
    "673": "unc",
    "674": "sleep_state",
    "675": "addict",
    "676": "addtnt",
    "677": "compl",
    "678": "harm",
    "679": "dryee",
    "680": "tem",
    "681": "add",
    "682": "address",
    "683": "commu",
    "684": "schtime",
    "685": "offspr",
    "686": "cou",
    "687": "ext_acc",
    "688": "src",
    "689": "imp",
    "690": "suplier",
    "691": "perio",
    "692": "cog_eve",
    "693": "case",
    "694": "finding",
    "695": "debtor",
    "696": "loan",
    "697": "loaner",
    "698": "mny",
    "699": "simul_entity",
    "700": "item_1",
    "701": "item_2",
    "702": "endeavor",
    "703": "person",
    "704": "Last",
    "705": "undesr_eve",
    "706": "reqent",
    "707": "dep_i",
    "708": "deixis",
    "709": "regqua",
    "710": "temporal_profile",
    "711": "copy",
    "712": "fidelity",
    "713": "whole_patient",
    "714": "Res_surf",
    "715": "crime",
    "716": "exeauth",
    "717": "oripath",
    "718": "sdmkr",
    "719": "back",
    "720": "comptr",
    "721": "duration_of_endstate",
    "722": "new",
    "723": "basis",
    "724": "subset",
    "725": "benefactor",
    "726": "beneficial_situation",
    "727": "benefitted_situation",
    "728": "liq",
    "729": "idea",
    "730": "amt_pro",
    "731": "capitu",
    "732": "compl",
    "733": "force",
    "734": "res",
    "735": "existtmem",
    "736": "newmem",
    "737": "source_material",
    "738": "hia",
    "739": "conqueror",
    "740": "congrp",
    "741": "conindi",
    "742": "experiment",
    "743": "experimenter",
    "744": "hypothesis",
    "745": "subjects",
    "746": "treindiv",
    "747": "tregrp",
    "748": "impactee",
    "749": "impactor",
    "750": "impactors",
    "751": "eve_desc",
    "752": "resource_controller",
    "753": "tra",
    "754": "bag",
    "755": "trvl_mns",
    "756": "profiled_event",
    "757": "simul_ent",
    "758": "c_agent",
    "759": "horc_src",
    "760": "set",
    "761": "fin_num",
    "762": "ini_num",
    "763": "ex1",
    "764": "ex2",
    "765": "exch",
    "766": "thm1",
    "767": "thm2",
    "768": "age",
    "769": "coa",
    "770": "eth",
    "771": "perschar",
    "772": "poe",
    "773": "repsted",
    "774": "recip",
    "775": "fluid",
    "776": "precipitation",
    "777": "factor",
    "778": "interested_party",
    "779": "har",
    "780": "disease",
    "781": "voice",
    "782": "var",
    "783": "schtime",
    "784": "benef",
    "785": "fins",
    "786": "porta",
    "787": "useful_location",
    "788": "magnitude",
    "789": "relevant_feature",
    "790": "status",
    "791": "pohin",
    "792": "bin_prin",
    "793": "coteven",
    "794": "employment",
    "795": "air",
    "796": "partner-1",
    "797": "partner-2",
    "798": "partners",
    "799": "infsrc",
    "800": "medical_condition",
    "801": "symptom",
    "802": "extent",
    "803": "inf",
    "804": "aud",
    "805": "performance",
    "806": "performer",
    "807": "performer_1",
    "808": "Performer_2",
    "809": "score",
    "810": "script",
    "811": "figures",
    "812": "access",
    "813": "directness",
    "814": "personnel",
    "815": "respent",
    "816": "trigger",
    "817": "resp",
    "818": "for",
    "819": "fid",
    "820": "src",
    "821": "cntrl",
    "822": "controlling_act",
    "823": "governed",
    "824": "leader",
    "825": "decep",
    "826": "desirability",
    "827": "eclipsed",
    "828": "vp",
    "829": "produced_f",
    "830": "ingr",
    "831": "loc_conf",
    "832": "alt",
    "833": "proreg",
    "834": "cnspar",
    "835": "conpos",
    "836": "fcause",
    "837": "relevnt",
    "838": "relaloc",
    "839": "spec",
    "840": "kont",
    "841": "rope",
    "842": "ent",
    "843": "fin_e",
    "844": "ini_e",
    "845": "reqsit",
    "846": "negcon",
    "847": "commitment",
    "848": "lim",
    "849": "host",
    "850": "vis",
    "851": "art",
    "852": "dist",
    "853": "scene",
    "854": "scr",
    "855": "studio",
    "856": "nat",
    "857": "lm",
    "858": "tr",
    "859": "enac",
    "860": "fig",
    "861": "fig",
    "862": "agreement",
    "863": "signatory",
    "864": "signature",
    "865": "superset",
    "866": "plan",
    "867": "cnx",
    "868": "ind1",
    "869": "ind2",
    "870": "other",
    "871": "systemic_effect",
    "872": "anchor",
    "873": "att",
    "874": "soc",
    "875": "ref",
    "876": "style",
    "877": "i_number",
    "878": "set",
    "879": "pog",
    "880": "guest",
    "881": "cor",
    "882": "obj",
    "883": "guardian",
    "884": "ldr",
    "885": "n_stat",
    "886": "intervention",
    "887": "medcon",
    "888": "fos",
    "889": "sideeff",
    "890": "tot",
    "891": "sou_phen",
    "892": "pre_a",
    "893": "pre_pha",
    "894": "pre_con",
    "895": "deceiver",
    "896": "obl_par",
    "897": "lifest",
    "898": "op1",
    "899": "op2",
    "900": "ops",
    "901": "supped",
    "902": "supper",
    "903": "loc",
    "904": "authenticity",
    "905": "person",
    "906": "devi",
    "907": "reference_occasion",
    "908": "for",
    "909": "pof",
    "910": "sign",
    "911": "tex",
    "912": "location_of_sound_source",
    "913": "soi",
    "914": "ori_text",
    "915": "oriowner",
    "916": "remainder",
    "917": "subordinate",
    "918": "superior",
    "919": "arraign_authority",
    "920": "money_owner",
    "921": "source_currency",
    "922": "sum_1",
    "923": "sum_2",
    "924": "target_currency",
    "925": "exchange_rate",
    "926": "exchange_service",
    "927": "inj_ent",
    "928": "focal_occasion",
    "929": "rev",
    "930": "delivery_device",
    "931": "entry_path",
    "932": "transferors",
    "933": "Resource_controller",
    "934": "enabled_action",
    "935": "enablement",
    "936": "final_temperature",
    "937": "initial_temperature",
    "938": "tem_c",
    "939": "defens",
    "940": "jury",
    "941": "Prsc",
    "942": "ca",
    "943": "los",
    "944": "winner",
    "945": "epistemic_stance",
    "946": "prison",
    "947": "prisoner",
    "948": "owner",
    "949": "case",
    "950": "leg_basis",
    "951": "inv",
    "952": "conent",
    "953": "new_tool",
    "954": "old_tool",
    "955": "agriculturist",
    "956": "ground",
    "957": "consit",
    "958": "convar",
    "959": "ini_dura",
    "960": "new_dura",
    "961": "asset",
    "962": "payer",
    "963": "ori",
    "964": "cog_1",
    "965": "cog_2",
    "966": "landmark_entity",
    "967": "landmark_period",
    "968": "ten",
    "969": "tev",
    "970": "tpe",
    "971": "barrier",
    "972": "uloc",
    "973": "coa",
    "974": "perschar",
    "975": "poe",
    "976": "practitioner",
    "977": "work",
    "978": "partner_1",
    "979": "partners",
    "980": "partner_3",
    "981": "gatherer",
    "982": "location_confinment",
    "983": "moc",
    "984": "inf",
    "985": "user",
    "986": "desact",
    "987": "resultant_configuration",
    "988": "ignition",
    "989": "old_ord"
    }

    index2fe_abbr = np.array(list(_index2fe_abbr.values()))