class POSmap:
    """_summary_
    """
    index2word = {
        "1": "名词",
        "2": "动词",
        "3": "代词",
        "4": "介词",
        "5": "副词",
        "6": "形容词",
        "44": "标点符号",
        "46": "助词",
        "47": "时间词",
        "50": "量词",
        "53": "拟声词",
        "55": "数词",
        "56": "后缀",
        "57": "前缀",
        "59": "叹词",
        "61": "连词",
        "68": "机构团体名",
        "69": "地点名词",
        "101": "成语",
        "102": "语素",
        "103": "缩写词",
        "104": "方向名词",
        "105": "人名",
        "107": "地理名词",
        "108": "其他名词修饰语",
        "109": "非词",
        "110": "其他专有名词",
        "111": "外来词",
        "112": "CFN专有词元",
    }
    word2index = {
        "名词": "1",
        "动词": "2",
        "代词": "3",
        "介词": "4",
        "副词": "5",
        "形容词": "6",
        "标点符号": "44",
        "助词": "46",
        "时间词": "47",
        "量词": "50",
        "拟声词": "53",
        "数词": "55",
        "后缀": "56",
        "前缀": "57",
        "叹词": "59",
        "连词": "61",
        "机构团体名": "68",
        "地点名词": "69",
        "成语": "101",
        "语素": "102",
        "缩写词": "103",
        "方向名词": "104",
        "人名": "105",
        "地理名词": "107",
        "其他名词修饰语": "108",
        "非词": "109",
        "其他专有名词": "110",
        "外来词": "111",
        "CFN专有词元": "112",
    }
    index2mean = {
        "1": "n",
        "2": "v",
        "3": "r",
        "4": "p",
        "5": "d",
        "6": "a",
        "44": "wp",
        "46": "u",
        "47": "nt",
        "50": "q",
        "53": "o",
        "55": "m",
        "56": "k",
        "57": "h",
        "59": "e",
        "61": "c",
        "68": "ni",
        "69": "nl",
        "101": "i",
        "102": "g",
        "103": "j",
        "104": "nd",
        "105": "nh",
        "107": "ns",
        "108": "b",
        "109": "x",
        "110": "nz",
        "111": "ws",
        "112": "f",
    }
    mean2index = {
        "n": "1",
        "v": "2",
        "r": "3",
        "p": "4",
        "d": "5",
        "a": "6",
        "wp": "44",
        "u": "46",
        "nt": "47",
        "q": "50",
        "o": "53",
        "m": "55",
        "k": "56",
        "h": "57",
        "e": "59",
        "c": "61",
        "ni": "68",
        "nl": "69",
        "i": "101",
        "g": "102",
        "j": "103",
        "nd": "104",
        "nh": "105",
        "ns": "107",
        "b": "108",
        "x": "109",
        "nz": "110",
        "ws": "111",
        "f": "112",
    }
    mean2word = {
        "n": "名词",
        "v": "动词",
        "r": "代词",
        "p": "介词",
        "d": "副词",
        "a": "形容词",
        "wp": "标点符号",
        "u": "助词",
        "nt": "时间词",
        "q": "量词",
        "o": "拟声词",
        "m": "数词",
        "k": "后缀",
        "h": "前缀",
        "e": "叹词",
        "c": "连词",
        "ni": "机构团体名",
        "nl": "地点名词",
        "i": "成语",
        "g": "语素",
        "j": "缩写词",
        "nd": "方向名词",
        "nh": "人名",
        "ns": "地理名词",
        "b": "其他名词修饰语",
        "x": "非词",
        "nz": "其他专有名词",
        "ws": "外来词",
        "f": "CFN专有词元",
    }
    word2mean = {
        "名词": "n",
        "动词": "v",
        "代词": "r",
        "介词": "p",
        "副词": "d",
        "形容词": "a",
        "标点符号": "wp",
        "助词": "u",
        "时间词": "nt",
        "量词": "q",
        "拟声词": "o",
        "数词": "m",
        "后缀": "k",
        "前缀": "h",
        "叹词": "e",
        "连词": "c",
        "机构团体名": "ni",
        "地点名词": "nl",
        "成语": "i",
        "语素": "g",
        "缩写词": "j",
        "方向名词": "nd",
        "人名": "nh",
        "地理名词": "ns",
        "其他名词修饰语": "b",
        "非词": "x",
        "其他专有名词": "nz",
        "外来词": "ws",
        "CFN专有词元": "f",
   }


